Altibase.jdbc.driver.sharding.core

## Class DataNodeShardingStatement

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.DataNodeShardingStatement

All Implemented Interfaces:
  InternalShardingStatement

Direct Known Subclasses:
  DataNodeShardingPreparedStatement

    public class DataNodeShardingStatement
    extends java.lang.Object
    implements InternalShardingStatement

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()`
`void` `clearBatch()`
`void` `clearForGeneratedKeys()`
`void` `clearWarnings()`
`void` `close()`
`int[]` `executeBatch()`
`java.sql.Connection` `getConnection()`
`int` `getFetchSize()`
`java.sql.ResultSet` `getGeneratedKeys()`
`int` `getMaxFieldSize()`
`int` `getMaxRows()`
`boolean` `getMoreResults()`
`boolean` `getMoreResults(int aCurrent)`
`int` `getQueryTimeout()`
`java.sql.ResultSet` `getResultSet()`
`int` `getUpdateCount()`
`java.sql.SQLWarning` `getWarnings()`
`boolean` `hasNoData()`
`boolean` `isPrepared()`
`void` `makeQstrForGeneratedKeys(java.lang.String aSql, int[] aColumnIndexes, java.lang.String[] aColumnNames)`
`void` `setCursorName(java.lang.String aName)`
`void` `setEscapeProcessing(boolean aEnable)`
`void` `setFetchSize(int aRows)`
`void` `setMaxFieldSize(int aMax)`
`void` `setMaxRows(int aMax)`
`void` `setQueryTimeout(int aSeconds)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### getMaxFieldSize

    public int getMaxFieldSize()
                        throws java.sql.SQLException

Specified by:
  `getMaxFieldSize` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### setMaxFieldSize

    public void setMaxFieldSize(int aMax)
                         throws java.sql.SQLException

Specified by:
  `setMaxFieldSize` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### getMaxRows

    public int getMaxRows()
                   throws java.sql.SQLException

Specified by:
  `getMaxRows` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### setMaxRows

    public void setMaxRows(int aMax)
                    throws java.sql.SQLException

Specified by:
  `setMaxRows` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### setEscapeProcessing

    public void setEscapeProcessing(boolean aEnable)
                             throws java.sql.SQLException

Specified by:
  `setEscapeProcessing` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### getQueryTimeout

    public int getQueryTimeout()
                        throws java.sql.SQLException

Specified by:
  `getQueryTimeout` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### setQueryTimeout

    public void setQueryTimeout(int aSeconds)
                         throws java.sql.SQLException

Specified by:
  `setQueryTimeout` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### cancel

    public void cancel()
                throws java.sql.SQLException

Specified by:
  `cancel` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### getWarnings

    public java.sql.SQLWarning getWarnings()

Specified by:
  `getWarnings` in interface `InternalShardingStatement`

#### clearWarnings

    public void clearWarnings()

Specified by:
  `clearWarnings` in interface `InternalShardingStatement`

#### setCursorName

    public void setCursorName(java.lang.String aName)
                       throws java.sql.SQLException

Specified by:
  `setCursorName` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

Specified by:
  `getResultSet` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### getUpdateCount

    public int getUpdateCount()

Specified by:
  `getUpdateCount` in interface `InternalShardingStatement`

#### getMoreResults

    public boolean getMoreResults()
                           throws java.sql.SQLException

Specified by:
  `getMoreResults` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### getMoreResults

    public boolean getMoreResults(int aCurrent)
                           throws java.sql.SQLException

Specified by:
  `getMoreResults` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### setFetchSize

    public void setFetchSize(int aRows)
                      throws java.sql.SQLException

Specified by:
  `setFetchSize` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### getFetchSize

    public int getFetchSize()

Specified by:
  `getFetchSize` in interface `InternalShardingStatement`

#### clearBatch

    public void clearBatch()
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getConnection

    public java.sql.Connection getConnection()

Specified by:
  `getConnection` in interface `InternalShardingStatement`

#### getGeneratedKeys

    public java.sql.ResultSet getGeneratedKeys()
                                        throws java.sql.SQLException

Specified by:
  `getGeneratedKeys` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### isPrepared

    public boolean isPrepared()

Specified by:
  `isPrepared` in interface `InternalShardingStatement`

#### hasNoData

    public boolean hasNoData()

Specified by:
  `hasNoData` in interface `InternalShardingStatement`

#### makeQstrForGeneratedKeys

    public void makeQstrForGeneratedKeys(java.lang.String aSql,
                                         int[] aColumnIndexes,
                                         java.lang.String[] aColumnNames)
                                  throws java.sql.SQLException

Specified by:
  `makeQstrForGeneratedKeys` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`

#### clearForGeneratedKeys

    public void clearForGeneratedKeys()
                               throws java.sql.SQLException

Specified by:
  `clearForGeneratedKeys` in interface `InternalShardingStatement`
Throws:
  `java.sql.SQLException`